Bug 98985 - Mail merge functions create results at the wrong time
Summary: Mail merge functions create results at the wrong time
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2016-03-30 13:58 UTC by Oliver Specht (CIB)
Modified: 2019-10-18 21:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Specht (CIB) 2016-03-30 13:58:09 UTC
- Run and finish mail merge wizard
- call Save/Print Merged Documents or Send E-Mail Messages
-> a progress box is displayed while the resulting documents are created in the background, the dialog to save/print/send appears after that
So you have to wait until it finishes all documents also if you only need a single document for printing/saving/sending
Comment 1 Jan Holesovsky 2016-04-08 10:15:58 UTC
IIRC that was there before too, just this happened in the middle of the wizard, when the 'target' document was being created [sometime between the step 5 and 6 or so].

Of course, improvements there would be much appreciated - but I don't think this is a regression against the state that was there before :-)
Comment 2 Oliver Specht (CIB) 2016-04-08 11:44:04 UTC
Your only partially right.
The created documents did exist as long as the wizard was open. So you could decide to save the document and then print.
If you want to do this today you have to wait for the creation twice. 
And that _is_ a regression that makes live pretty hard for those with bigger data tables with more than 1000 rows.


BTW: The toolbox approach could additionally make it possible to get rid of the complete processing at all. Just a merge-and-save/print per data row instead of creating this big resulting document which has only been introduced to make editing/reviewing possible.
Comment 3 Commit Notification 2016-05-19 07:09:19 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b24f21a46d8f9321434e40e6f9821df0ed2e2d3

tdf#98985 create merge results at the right time

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Oliver Specht (CIB) 2016-05-19 07:13:18 UTC
(In reply to Commit Notification from comment #3)
> Oliver Specht committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=7b24f21a46d8f9321434e40e6f9821df0ed2e2d3
> 
> tdf#98985 create merge results at the right time
> 
This patch fixes one part - the merge takes place at the moment the user executes print/save or send. 
It still creates all documents also if only some of them are required
Comment 5 Marco Filippozzi 2016-06-16 07:43:06 UTC
Works for me on 5.2.0.0 and it only creates the selected documents.
Bug still present in the Still and Fresh version: the documents are created before the Print/Save/Send Email window appears, and that is between step 6 and 7.
Comment 6 QA Administrators 2017-10-23 13:58:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug